Show / Hide Table of Contents

# Class ContextMenuItem

An item in a context menu.

##### Inheritance

System.Object
ContextMenuItem
CustomContextMenuItem
GameContextMenuItem
OpenSubContextMenuItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class ContextMenuItem

### Properties

| Improve this Doc View Source

#### Indicator

Gets or sets the indicator of the item.

##### Declaration

    public ContextMenuItemIndicator Indicator { get; set; }

##### Property Value

Type | Description
--- | ---
ContextMenuItemIndicator |

| Improve this Doc View Source

#### IsEnabled

Gets or sets a value indicating whether or not the item is enabled. When enabled, an item is selectable.

##### Declaration

    public bool IsEnabled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

Gets the name of the item.

##### Declaration

    public SeString Name { get; }

##### Property Value

Type | Description
--- | ---
SeString |

### Methods

| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()